#include <iostream>

using namespace std;

int main()
{
    long long v, p;
    cin>>v>>p;
    long long vage[v][2];
    long long pitanja[p][3];
    for(int i=0; i<v; i++)
    {
         cin>>vage[i][0]>>vage[i][1];
    }
    for(int i=0; i<p; i++)
    {
         cin>>pitanja[i][0]>>pitanja[i][1]>>pitanja[i][2];
    }
    
    //ispis
    int x;
    for(int i=0; i<p; i++)
    {
         x=0;
         for(int j=pitanja[i][0]; j<=pitanja[i][1]; j++)
         {
              if(vage[j-1][0]<=pitanja[i][2] && pitanja[i][2]<=vage[j-1][1])
              {
                   x++;
              }
         }
         cout<<x<<endl;
    }

    return 0;
}